Package com.castlabs.android.player

# Enum TrickplayConfiguration.SpeedupMode

java.lang.Object
java.lang.Enum<TrickplayConfiguration.SpeedupMode>
com.castlabs.android.player.TrickplayConfiguration.SpeedupMode

All Implemented Interfaces:
  `Serializable`, `Comparable<TrickplayConfiguration.SpeedupMode>`

Enclosing class:
  `TrickplayConfiguration`

public static enum TrickplayConfiguration.SpeedupMode extends Enum<TrickplayConfiguration.SpeedupMode>
Speedup mode to use during Trickplay

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DECODER`
  Decoder speedup.
  `SEEK`
  Seek-based play.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TrickplayConfiguration.SpeedupMode`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static TrickplayConfiguration.SpeedupMode[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DECODER

    public static final TrickplayConfiguration.SpeedupMode DECODER
    Decoder speedup. Playback will be naturally speeded up. It's possible that the decoder drops frames if the speed is too high.

    Note that this mode can only work with speeds > 0.

  - ### SEEK

    public static final TrickplayConfiguration.SpeedupMode SEEK
    Seek-based play. In this mode, the player will be kept in `PlayerController.State.Pausing` state and perform seek operations to mimic fast playback.

    Note that while using this mode is very likely to hit many buffer underruns, so it could be a good option to hide any loading indicators on the UI.

    This method allows for negative speeds as well.

- ## Method Details

  - ### values

    public static TrickplayConfiguration.SpeedupMode[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static TrickplayConfiguration.SpeedupMode valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null